Package: groovy.servlet

## [Java] Class ServletCategory

- groovy.servlet.ServletCategory

-     public class ServletCategory
      extends Object

  Servlet support.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Object` | `get(ServletContext context, String key)` Reads a servlet context attribute using property-style access.
    `` | `public static Object` | `get(HttpSession session, String key)` Reads an HTTP session attribute using property-style access.
    `` | `public static Object` | `get(ServletRequest request, String key)` Reads a request attribute using property-style access.
    `` | `public static Object` | `get(PageContext context, String key)` Reads a page context attribute using property-style access.
    `` | `public static Object` | `getAt(ServletContext context, String key)` Reads a servlet context attribute using Groovy subscript syntax.
    `` | `public static Object` | `getAt(HttpSession session, String key)` Reads an HTTP session attribute using Groovy subscript syntax.
    `` | `public static Object` | `getAt(ServletRequest request, String key)` Reads a request attribute using Groovy subscript syntax.
    `` | `public static Object` | `getAt(PageContext context, String key)` Reads a page context attribute using Groovy subscript syntax.
    `` | `public static void` | `putAt(ServletContext context, String key, Object value)` Stores a servlet context attribute using Groovy subscript syntax.
    `` | `public static void` | `putAt(HttpSession session, String key, Object value)` Stores an HTTP session attribute using Groovy subscript syntax.
    `` | `public static void` | `putAt(ServletRequest request, String key, Object value)` Stores a request attribute using Groovy subscript syntax.
    `` | `public static void` | `putAt(PageContext context, String key, Object value)` Stores a page context attribute using Groovy subscript syntax.
    `` | `public static void` | `set(ServletContext context, String key, Object value)` Stores a servlet context attribute using property-style access.
    `` | `public static void` | `set(HttpSession session, String key, Object value)` Stores an HTTP session attribute using property-style access.
    `` | `public static void` | `set(ServletRequest request, String key, Object value)` Stores a request attribute using property-style access.
    `` | `public static void` | `set(PageContext context, String key, Object value)` Stores a page context attribute using property-style access.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Object get(ServletContext context, String key)

      Reads a servlet context attribute using property-style access.

      Parameters:
        `context` - the servlet context
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object get(HttpSession session, String key)

      Reads an HTTP session attribute using property-style access.

      Parameters:
        `session` - the HTTP session
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object get(ServletRequest request, String key)

      Reads a request attribute using property-style access.

      Parameters:
        `request` - the servlet request
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object get(PageContext context, String key)

      Reads a page context attribute using property-style access.

      Parameters:
        `context` - the page context
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object getAt(ServletContext context, String key)

      Reads a servlet context attribute using Groovy subscript syntax.

      Parameters:
        `context` - the servlet context
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object getAt(HttpSession session, String key)

      Reads an HTTP session attribute using Groovy subscript syntax.

      Parameters:
        `session` - the HTTP session
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object getAt(ServletRequest request, String key)

      Reads a request attribute using Groovy subscript syntax.

      Parameters:
        `request` - the servlet request
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static Object getAt(PageContext context, String key)

      Reads a page context attribute using Groovy subscript syntax.

      Parameters:
        `context` - the page context
        `key` - the attribute name
      Returns:
        the stored attribute value

    - #### public static void putAt(ServletContext context, String key, Object value)

      Stores a servlet context attribute using Groovy subscript syntax.

      Parameters:
        `context` - the servlet context
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void putAt(HttpSession session, String key, Object value)

      Stores an HTTP session attribute using Groovy subscript syntax.

      Parameters:
        `session` - the HTTP session
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void putAt(ServletRequest request, String key, Object value)

      Stores a request attribute using Groovy subscript syntax.

      Parameters:
        `request` - the servlet request
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void putAt(PageContext context, String key, Object value)

      Stores a page context attribute using Groovy subscript syntax.

      Parameters:
        `context` - the page context
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void set(ServletContext context, String key, Object value)

      Stores a servlet context attribute using property-style access.

      Parameters:
        `context` - the servlet context
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void set(HttpSession session, String key, Object value)

      Stores an HTTP session attribute using property-style access.

      Parameters:
        `session` - the HTTP session
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void set(ServletRequest request, String key, Object value)

      Stores a request attribute using property-style access.

      Parameters:
        `request` - the servlet request
        `key` - the attribute name
        `value` - the attribute value

    - #### public static void set(PageContext context, String key, Object value)

      Stores a page context attribute using property-style access.

      Parameters:
        `context` - the page context
        `key` - the attribute name
        `value` - the attribute value